## visad.cluster
Class NodeDisplayRendererJ3D

    java.lang.Object
      visad.DisplayRenderer
          visad.java3d.DisplayRendererJ3D
              visad.java3d.TransformOnlyDisplayRendererJ3D
                  visad.cluster.NodeDisplayRendererJ3D

All Implemented Interfaces:
  ControlListener, EventListener, RendererSourceListener

public class NodeDisplayRendererJ3D
extends TransformOnlyDisplayRendererJ3D

`NodeDisplayRendererJ3D` is the DisplayRenderer for cluster nodes.

Field Summary

Fields inherited from class visad.DisplayRenderer
``

Constructor Summary
`NodeDisplayRendererJ3D()` This is the `DisplayRenderer` used for cluster nodes.

Method Summary
`boolean` `legalDataRenderer(DataRenderer renderer)` Check if the `DataRenderer` in question is legal for this `DisplayRenderer`
`DataRenderer` `makeDefaultRenderer()` Create the default `DataRenderer` for this type of `DisplayRenderer`

Methods inherited from class visad.java3d.TransformOnlyDisplayRendererJ3D
`addDirectManipulationSceneGraphComponent, addSceneGraphComponent, anyDirects, clearScales, clearScene, createSceneGraph, drag_cursor, drag_depth, drawCursorStringVector, findDirect, getImage, setBoxAspect, setCursorLoc, setCursorOn, setDirectOn, setScale, setScale, setScaleOn, setTransform3D`

Methods inherited from class visad.java3d.DisplayRendererJ3D

`addKeyboardBehavior, addLockedSceneGraphComponent, clearScale, controlChanged, createBasicSceneGraph, createBasicSceneGraph, depth_cursor, destroy, getBoxOnBranch, getCanvas, getCursor, getCursorOnBranch, getMouseBehavior, getRoot, getTextureHeightMax, getTextureWidthMax, getTrans, getView, getViewTrans, initControl, makeControl, render_trigger, rendererDeleted, setClip, setDisplay, setLineWidth, setScale, setWaitFlag`

Methods inherited from class visad.DisplayRenderer

`getAnimationString, getAnimationStringVisible, getBoxOn, getCursorColor, getCursorStringVector, getCursorStringVectorUnconditional, getDirectAxisValue, getDirectAxisValue, getDisplay, getMode2D, getPickThreshhold, getRendererControl, getWaitFlag, getWaitMessageVisible, legalDisplayScalar, prepareAction, setAnimationString, setAnimationStringVisible, setBackgroundColor, setBackgroundColor, setBoxColor, setBoxColor, setBoxOn, setCursorColor, setCursorColor, setCursorStringOn, setCursorStringVector, setCursorStringVector, setForegroundColor, setForegroundColor, setPickThreshhold, setWaitMessageVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeDisplayRendererJ3D

    public NodeDisplayRendererJ3D()

  This is the `DisplayRenderer` used for cluster nodes. `TRANSFORM_ONLY` api. It transforms data into VisADSceneGraphObject but does not render (and hence no interaction).

Method Detail

### makeDefaultRenderer

    public DataRenderer makeDefaultRenderer()

  Description copied from class: `DisplayRendererJ3D`
  Create the default `DataRenderer` for this type of `DisplayRenderer`

  Overrides:
    `makeDefaultRenderer` in class `TransformOnlyDisplayRendererJ3D`

### legalDataRenderer

    public boolean legalDataRenderer(DataRenderer renderer)

  Description copied from class: `DisplayRendererJ3D`
  Check if the `DataRenderer` in question is legal for this `DisplayRenderer`

  Overrides:
    `legalDataRenderer` in class `TransformOnlyDisplayRendererJ3D`